<template>
  <div>
    <v-avatar
      v-if="user.profile"
      size="36px"
      class="mr-2"
      @click="to && $router.push(to)"
    >
      <img
        v-if="user.profile"
        alt="Avatar"
        :src="user.profile"
      >
    </v-avatar>

    <v-btn
      v-else
      elevation="2"
      fab
      small
      class="mr-2"
      :color="user.main_color || 'primary'"
      :to="to"
    >
      {{ user.avatarName }}
    </v-btn>
  </div>
</template>

<script>
export default {
  props: {
    user: {
      type: Object,
      default: () => ({})
    },

    to: {
      type: [Object, String],
      default: null
    }
  }
}
</script>
